System.Xml 2.0.0.0 System.Configuration.ConfigurationElement

This class is used by the serialization infrastructure to handle the configuration elements and cannot be used directly. For more information about configuration files, see Configuration File Schema for the .NET Framework.

Instead, to configure the , create an application configuration file and use the following XML elements to specify types used by the class when mapping XSD types to .Net Framework types:

<system.xml.serialization> Element

<schemaImporterExtensions> Element

<add> Element for <xmlSchemaImporterExtensions>

Handles the configuration for the class. This class cannot be inherited.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class and specifies the name and type of the extension.

  The name of the new extension. The name must be unique.
  The type of the new extension, specified as a string.
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class using the specified name and type.

  The name of the new extension. The name must be unique.
  The of the new extension.
- Property
  2.0.0.0
  System.Configuration.ConfigurationProperty("name", DefaultValue=typeof(System.Object), Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.String To be added.

  The name must be unique.

  Gets or sets the name of the extension.

- Property
  2.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Property
  2.0.0.0
  System.ComponentModel.TypeConverter(typeof(System.ComponentModel.TypeConverter))
  System.Configuration.ConfigurationProperty("type", DefaultValue=typeof(System.Object), Options=System.Configuration.ConfigurationPropertyOptions.IsRequired)
  System.Type To be added. To be added.

  Gets or sets the type of the extension.